%global git g8a56364

Name:           pygtkchart
Version:        0
Release:        0.10.git%{git}%{?dist}
Summary:        A GTK chart widget written in Python

License:        GPLv2+
URL:            http://notmyname.github.com/pygtkChart/
Source0:        https://github.com/notmyname/pygtkChart/tarball/beta/notmyname-pygtkChart-beta-0-%{git}.tar.gz
# This patch fixes some paths for Fedora
Patch0:         %{name}-path.patch
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools

Requires:       pygtk2

%description
pygtkChart is a Python package that provides PyGTK widgets to simply
integrate charts into a GTK application. Currently pygtkChart comes
with four widgets:

- BarChart - shows a bar chart (see example on the right)
- MultiBarChart - like BarChart, but shows groups of bars
- PieChart - shows simple pie charts

The appearance of the widgets is highly customable. All bars, graphs,
or titles on a chart can be accessed and modified separately.
Colors, backgrounds and many more properties can be modified for each
object. 

%prep
%setup -q -n notmyname-pygtkChart-cb24da7
%patch0 -p1 -b .path 
sed -i -e '/^#!\//, 1d' src/pygtk_chart/*.py
chmod -x examples/*.py

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root=%{buildroot}

%files
%doc doc/ examples/
%{python_sitelib}/pygtk_chart/
%{python_sitelib}/pygtkChart-beta*.egg-info
%{_datadir}/%{name}/

%changelog
* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.10.gitg8a56364
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.9.gitg8a56364
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.8.gitg8a56364
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.7.gitg8a56364
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.6.gitg8a56364
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jun 26 2013 Fabian Affolter <mail@fabian-affolter.ch> - 0-0.6.gitg8a56364
- Spec file updated

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.5.gitg8a56364
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.4.gitg8a56364
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.3.gitg8a56364
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat May 21 2011 Fabian Affolter <mail@fabian-affolter.ch> - 0-0.2.gitg8a56364
- Fixed naming
- Fixed directory ownership
- Patch renamed and comment added

* Sun Mar 27 2011 Fabian Affolter <mail@fabian-affolter.ch> - 0-0.gitg8a56364
- Initial package for Fedora
